Bug 177909 - databases/mysql-workbench52: Update to version 5.2.47
Summary: databases/mysql-workbench52: Update to version 5.2.47
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 19:10 UTC by tkato432
Modified: 2013-07-11 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (85.47 KB, patch)
2013-04-17 19:10 UTC, tkato432
no flags Details | Diff
databases_mysql-workbench52.diff (85.42 KB, patch)
2013-04-24 18:54 UTC, tkato432
no flags Details | Diff
databases_mysql-workbench52.diff (85.34 KB, patch)
2013-07-10 18:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-17 19:10:00 UTC
- Update to version 5.2.47

New file:
files/patch-backend__wbprivate__Makefile.am
files/patch-configure.in
files/patch-frontend__linux__workbench__Makefile.am
files/patch-frontend__linux__workbench__mysql-workbench.in
files/patch-library__forms__Makefile.am
files/patch-modules__wb.mysql.import__Makefile.am
files/patch-plugins__migration__copytable__copytable.cpp

Remove file:
files/52-patch-modules__db__Makefile.am
Comment 1 Edwin Groothuis freebsd_committer 2013-04-17 19:10:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-04-24 18:54:23 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2013-07-10 10:38:11 UTC
State Changed
From-To: open->feedback

the build fails. 
http://po.miwibox.org:1288/bulk/latest-per-pkg/mysql-workbench-gpl52/5.2.47/
Comment 4 tkato432 2013-07-10 18:55:52 UTC
Here is the corrected patch.
Comment 5 Martin Wilke freebsd_committer 2013-07-11 16:17:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-07-11 16:17:59 UTC
Author: miwi
Date: Thu Jul 11 15:17:38 2013
New Revision: 322771
URL: http://svnweb.freebsd.org/changeset/ports/322771

Log:
  - Update to 177909
  
  PR:		177909
  Submitted by:	ports fury

Added:
  head/databases/mysql-workbench52/files/patch-backend__wbprivate__Makefile.am   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-configure.in   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__Makefile.am   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__mysql-workbench.in   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-library__forms__Makefile.am   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-modules__wb.mysql.import__Makefile.am   (contents, props changed)
  head/databases/mysql-workbench52/files/patch-plugins__migration__copytable__copytable.cpp   (contents, props changed)
Deleted:
  head/databases/mysql-workbench52/files/52-patch-configure.in
  head/databases/mysql-workbench52/files/52-patch-ext__ctemplate__ctemplate-src__configure.ac
  head/databases/mysql-workbench52/files/52-patch-frontend__linux__workbench__Makefile.am
  head/databases/mysql-workbench52/files/52-patch-modules__db__Makefile.am
Modified:
  head/databases/mysql-workbench52/Makefile   (contents, props changed)
  head/databases/mysql-workbench52/distinfo   (contents, props changed)
  head/databases/mysql-workbench52/pkg-descr   (contents, props changed)
  head/databases/mysql-workbench52/pkg-plist   (contents, props changed)

Modified: head/databases/mysql-workbench52/Makefile
==============================================================================
--- head/databases/mysql-workbench52/Makefile	Thu Jul 11 15:15:30 2013	(r322770)
+++ head/databases/mysql-workbench52/Makefile	Thu Jul 11 15:17:38 2013	(r322771)
@@ -1,26 +1,113 @@
-# New ports collection makefile for:	MySQL Workbench
-# Date created:				26 June 2009
-# Whom:					Maxim Ignatenko
-#
+# Created by: Maxim Ignatenko
 # $FreeBSD$
-#
 
-PORTVERSION=	5.2.1
-PORTREVISION=	2
+PORTNAME=	mysql-workbench-gpl
+PORTVERSION=	5.2.47
+DISTVERSIONSUFFIX=	-src
+CATEGORIES=	databases
+MASTER_SITES=	MYSQL/MySQLGUITools
 PKGNAMESUFFIX=	52
 
 MAINTAINER=	ports@FreeBSD.org
+COMMENT=	Visual database design tool
 
-LIB_DEPENDS=	sqlite3:${PORTSDIR}/databases/sqlite3
+LICENSE=	GPLv2 LGPL21
+LICENSE_COMB=	multi
 
-MASTERDIR=	${.CURDIR}/../mysql-workbench51
-DISTINFO_FILE=	${.CURDIR}/distinfo
-EXTRA_PATCHES=	${.CURDIR}/files/52-patch-frontend__linux__workbench__Makefile.am \
-		${.CURDIR}/files/52-patch-configure.in \
-		${.CURDIR}/files/52-patch-ext__ctemplate__ctemplate-src__configure.ac \
-		${.CURDIR}/files/52-patch-modules__db__Makefile.am
-PLIST=	${.CURDIR}/pkg-plist
+LIB_DEPENDS=	zip:${PORTSDIR}/archivers/libzip \
+		boost_system:${PORTSDIR}/devel/boost-libs \
+		sigc-2.0:${PORTSDIR}/devel/libsigc++20 \
+		pcre:${PORTSDIR}/devel/pcre \
+		cairo:${PORTSDIR}/graphics/cairo \
+		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
+		gnome-keyring:${PORTSDIR}/security/libgnome-keyring \
+		ctemplate:${PORTSDIR}/textproc/google-ctemplate \
+		tinyxml:${PORTSDIR}/textproc/tinyxml \
+		gtkmm-2.4:${PORTSDIR}/x11-toolkits/gtkmm24
+RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils \
+		${PYTHON_PKGNAMEPREFIX}sqlite3>0:${PORTSDIR}/databases/py-sqlite3 \
+		${PYTHON_PKGNAMEPREFIX}pexpect>0:${PORTSDIR}/misc/py-pexpect \
+		${PYTHON_PKGNAMEPREFIX}paramiko>0:${PORTSDIR}/security/py-paramiko
+
+OPTIONS_DEFINE=	PYTHON_UTILS UNIXODBC
+PYTHON_UTILS_DESC=	Python scripts useful for administering MySQL
+
+USES=		gettext gmake pathfix pkgconfig shared-mime-info
+USE_GCC=	any
+USE_GL=		gl
+USE_GNOME=	gnomehier gtk20 libxml2
+USE_PYTHON=	-2.7
+USE_LUA=	5.1
+LUA_COMPS=	lua
+USE_MYSQL=	client
+USE_SQLITE=	3
+USE_AUTOTOOLS=	libtoolize aclocal automake autoheader autoconf
+LIBTOOLIZE_ARGS=--copy --force
+ACLOCAL_ARGS=	# none
+AUTOMAKE_ARGS=	--copy --force-missing --foreign
+CONFIGURE_ENV=	LUA_CFLAGS="$$(pkg-config --cflags lua-${LUA_VER})" \
+		LUA_LIBS="$$(pkg-config --libs lua-${LUA_VER})" \
+		TINYXML_CFLAGS="-I${LOCALBASE}/include" \
+		TINYXML_LIBS="-L${LOCALBASE}/lib -ltinyxml" \
+		ac_cv_header_netinet_tcp_h=yes
+CONFIGURE_ARGS=	--docdir=${WRKDIR}/fakeroot
+USE_LDCONFIG=	${PREFIX}/lib/mysql-workbench
+INSTALLS_ICONS=	yes
+MAKE_JOBS_SAFE=	yes
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_SUB=	VERSION="${PORTVERSION}" PYTHON_VER="${PYTHON_VER}"
+
+CONFLICTS=	mysql-workbench-oss*
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MPYTHON_UTILS}
+CONFIGURE_ARGS+=--enable-mysql-utilities
+PLIST_SUB+=	PYTHON_UTILS=""
+.else
+PLIST_SUB+=	PYTHON_UTILS="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MUNIXODBC}
+LIB_DEPENDS+=	odbccr:${PORTSDIR}/databases/unixODBC
+CONFIGURE_ARGS+=--with-unixodbc
+.else
+LIB_DEPENDS+=	iodbc:${PORTSDIR}/databases/libiodbc
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/spawn/s|/bin/bash|/bin/sh|' \
+		${WRKSRC}/ext/python/pexpect/pexpect.py
+	@${REINPLACE_CMD} -e \
+		's|-O0 -g3||' \
+		${WRKSRC}/ext/scintilla/gtk/Makefile.am
+	@${REINPLACE_CMD} -e \
+		'/f.write/s|bash -i|sh -i| ; \
+		 /call/s|/bin/bash|/bin/sh| ; \
+		 /paths/s|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/modules/wb.utils/wb_utils_grt.py
+	@${REINPLACE_CMD} -e \
+		'/spawn/s|/bin/bash|/bin/sh|' \
+		${WRKSRC}/plugins/wb.admin/backend/wb_server_management.py
+	@${REINPLACE_CMD} -e \
+		's|/usr/bin/sudo|${LOCALBASE}/bin/sudo| ; \
+		 s|/bin/bash|/bin/sh|' \
+		${WRKSRC}/plugins/wb.admin/frontend/wb_admin_grt.py
+	@${FIND} ${WRKSRC} -name "*.py" | ${XARGS} ${REINPLACE_CMD} -e \
+		'/^#!/s|/usr/bin/python.*|${SETENV} python|'
+
+post-install:
+.for i in lib/mysql-workbench/modules share/mysql-workbench/libraries
+	@${PYTHON_CMD} -m compileall ${PREFIX}/${i}
+.endfor
+.if ${PORT_OPTIONS:MPYTHON_UTILS}
+	(cd ${WRKSRC}/ext && ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} \
+		${MAKEFILE} ${MAKE_ARGS} DESTDIR="${DESTDIR}/"  \
+		install-utils install-connector)
+.endif
 
-CONFLICTS=	mysql-workbench-oss51*
-
-.include "${MASTERDIR}/Makefile"
+.include <bsd.port.mk>

Modified: head/databases/mysql-workbench52/distinfo
==============================================================================
--- head/databases/mysql-workbench52/distinfo	Thu Jul 11 15:15:30 2013	(r322770)
+++ head/databases/mysql-workbench52/distinfo	Thu Jul 11 15:17:38 2013	(r322771)
@@ -1,2 +1,2 @@
-SHA256 (mysql-workbench-oss-5.2.1.tar.gz) = fe0d48980c9798308b97030fc9cc2d002b1910523f60ebec10179ab87a198ee2
-SIZE (mysql-workbench-oss-5.2.1.tar.gz) = 12648817
+SHA256 (mysql-workbench-gpl-5.2.47-src.tar.gz) = e6928beb157f1e0abbb8885d16544eefe4d25b05f54dc0fb75b8375d8775838c
+SIZE (mysql-workbench-gpl-5.2.47-src.tar.gz) = 21924533

Added: head/databases/mysql-workbench52/files/patch-backend__wbprivate__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-backend__wbprivate__Makefile.am	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,24 @@
+--- backend/wbprivate/Makefile.am.orig
++++ backend/wbprivate/Makefile.am
+@@ -14,7 +14,7 @@
+   -I$(top_srcdir)/ext/scintilla/include\
+   -I$(top_srcdir)/ext/vsqlite++/include\
+   -I$(top_srcdir)/ext/vsqlite\
+-  -I$(top_srcdir)/ext/tinyxml
++  @TINYXML_CFLAGS@
+ 
+ libwbprivate_a_SOURCES=\
+ 	model/canvas_floater.cpp\
+@@ -78,11 +78,7 @@
+   $(top_srcdir)/frontend/common/grt_python_debugger.cpp\
+   $(top_srcdir)/frontend/common/plugin_manager_window.cpp\
+   $(top_srcdir)/frontend/common/plugin_install_window.cpp\
+-  $(top_srcdir)/frontend/common/select_option_dialog.cpp\
+-  $(top_srcdir)/ext/tinyxml/tinyxmlparser.cpp\
+-  $(top_srcdir)/ext/tinyxml/tinyxml.cpp\
+-  $(top_srcdir)/ext/tinyxml/tinystr.cpp\
+-  $(top_srcdir)/ext/tinyxml/tinyxmlerror.cpp
++  $(top_srcdir)/frontend/common/select_option_dialog.cpp
+ 
+ #BUILT_SOURCES=stdafx.h.gch
+ #stdafx.h.gch: workbench/stdafx.h

Added: head/databases/mysql-workbench52/files/patch-configure.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-configure.in	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,52 @@
+--- configure.in.orig
++++ configure.in
+@@ -66,9 +66,9 @@
+   std_edition=$enableval, std_edition=no)
+ 
+ if test x$std_edition = xyes; then
+-     echo -en "#ifndef __WB_CONFIG_H__\n#define __WB_CONFIG_H__\n#define EDITION_SE\n#define COMMERCIAL_CODE\n#endif\n" > wb_config.h
++     echo -e "#ifndef __WB_CONFIG_H__\n#define __WB_CONFIG_H__\n#define EDITION_SE\n#define COMMERCIAL_CODE\n#endif\n" > wb_config.h
+ else
+-     echo -en "#ifndef __WB_CONFIG_H__\n#define __WB_CONFIG_H__\n#undef COMMERCIAL_CODE\n#define EDITION_OSS\n#endif\n" > wb_config.h
++     echo -e "#ifndef __WB_CONFIG_H__\n#define __WB_CONFIG_H__\n#undef COMMERCIAL_CODE\n#define EDITION_OSS\n#endif\n" > wb_config.h
+ fi
+ 
+ AC_CHECK_HEADERS([sys/select.h])
+@@ -99,6 +99,10 @@
+     AM_GLIB_GNU_GETTEXT
+ fi
+ 
++PKG_CHECK_MODULES(TINYXML, [tinyxml])
++AC_SUBST(TINYXML_CFLAGS)
++AC_SUBST(TINYXML_LIBS)
++
+ have_zip="no"
+ if test x"$ac_libzip_libs" = x"no"; then
+     PKG_CHECK_MODULES(ZIP, [libzip])
+@@ -205,7 +209,7 @@
+ 		ac_mysql_config_path="$withval", ac_mysql_config_path="mysql_config")
+ 
+ AC_MSG_CHECKING([for mysql headers and libraries])
+-MYSQL_INCLUDE=`$ac_mysql_config_path --cflags`
++MYSQL_INCLUDE=`$ac_mysql_config_path --include`
+ MYSQL_LIBS=`$ac_mysql_config_path --libs_r`
+ 
+ if test -z "$MYSQL_INCLUDE"; then
+@@ -248,7 +252,7 @@
+ cfg=sysconfig.get_config_vars()
+ lib = os.path.join(cfg['LIBDIR'], cfg['LDLIBRARY'])
+ if os.path.exists(lib):
+-    print \"-L\" + cfg['LIBDIR'] + \" -l\" + cfg['LDLIBRARY'].lstrip(\"lib\").rstrip(\".so\")")]
++    print \"-L\" + cfg['LIBDIR'] + \" -l\" + cfg['LDLIBRARY'].lstrip(\"lib\").rstrip(\".so\").rstrip(\".a\")")]
+ PYTHON_CFLAGS=[$(python -c "from distutils import sysconfig
+ print sysconfig.get_python_inc()")]
+ PYTHON_CFLAGS="-I$PYTHON_CFLAGS"
+@@ -461,7 +465,7 @@
+ elif test "$(uname -s)" = "SunOS"; then
+ 	DLMAKE="gcc -shared -mimpure-text"
+ else
+-	DLMAKE="gcc -shared"
++	DLMAKE="\$(CC) -shared"
+ fi
+ AC_SUBST(DLEXT)
+ AC_SUBST(DLMAKE)

Added: head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__Makefile.am	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,10 @@
+--- frontend/linux/workbench/Makefile.am.orig
++++ frontend/linux/workbench/Makefile.am
+@@ -60,6 +60,7 @@
+ 	$(top_srcdir)/library/canvas/src/libmdcanvas.la\
+ 	$(top_srcdir)/library/mysql-parser/libmysqlparser.la\
+ 	@CTEMPLATE_LIBS@\
++	@TINYXML_LIBS@\
+ 	@GNOME_LIBS@ @GRT_LIBS@ @PCRE_LIBS@ @GLIB_LIBS@ @CAIRO_LIBS@ @ZIP_LIBS@ @MYSQL_LIBS@ @SQLITE3_LIBS@\
+ 	-lX11
+ 

Added: head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__mysql-workbench.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-frontend__linux__workbench__mysql-workbench.in	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,17 @@
+--- frontend/linux/workbench/mysql-workbench.in.orig
++++ frontend/linux/workbench/mysql-workbench.in
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ 
+ # Uncomment the following line if you're having trouble with gnome-keyring lockups.
+ # This will cause passwords to be stored only temporarily for the session.
+@@ -58,8 +58,4 @@
+ 
+ export MWB_BASE_DIR="$basedirname"
+ 
+-if type -p catchsegv > /dev/null; then
+-catchsegv $basedirname/$libexecdir/mysql-workbench-bin "$@"
+-else
+ $basedirname/$libexecdir/mysql-workbench-bin "$@"
+-fi

Added: head/databases/mysql-workbench52/files/patch-library__forms__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-library__forms__Makefile.am	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,11 @@
+--- library/forms/Makefile.am.orig
++++ library/forms/Makefile.am
+@@ -91,7 +91,7 @@
+ -I$(top_srcdir)/ext/vsqlite\
+ -I$(top_srcdir)/library/\
+ -I$(top_srcdir)/ext\
+--I$(top_srcdir)/ext/tinyxml\
++@TINYXML_CFLAGS@\
+ -I$(top_srcdir)/ext/scintilla/include
+ 
+ 

Added: head/databases/mysql-workbench52/files/patch-modules__wb.mysql.import__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-modules__wb.mysql.import__Makefile.am	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,20 @@
+--- modules/wb.mysql.import/Makefile.am.orig
++++ modules/wb.mysql.import/Makefile.am
+@@ -17,7 +17,7 @@
+ 	-I$(top_srcdir)/library/sql-parser/source/linux\
+ 	-I$(top_srcdir)/ext/vsqlite\
+ 	-I$(top_srcdir)/ext/vsqlite++/include\
+-	-I$(top_srcdir)/ext/tinyxml\
++	@TINYXML_CFLAGS@\
+ 	@MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
+ 
+ 
+@@ -27,7 +27,4 @@
+ wb_mysql_import_grt_la_SOURCES=\
+ 	src/wb_mysql_import.cpp\
+ 	src/wb_mysql_import_dbd4.cpp\
+-	$(top_srcdir)/ext/tinyxml/tinyxmlparser.cpp\
+-	$(top_srcdir)/ext/tinyxml/tinyxml.cpp\
+-	$(top_srcdir)/ext/tinyxml/tinystr.cpp\
+-	$(top_srcdir)/ext/tinyxml/tinyxmlerror.cpp
++	$(top_srcdir)/ext/tinyxml/tinyxmlparser.cpp

Added: head/databases/mysql-workbench52/files/patch-plugins__migration__copytable__copytable.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql-workbench52/files/patch-plugins__migration__copytable__copytable.cpp	Thu Jul 11 15:17:38 2013	(r322771)
@@ -0,0 +1,20 @@
+--- plugins/migration/copytable/copytable.cpp.orig
++++ plugins/migration/copytable/copytable.cpp
+@@ -555,7 +555,7 @@
+   //log_debug3("Convert string with %i chars to buffer size %i\n", inbuf_len, outbuf_len);
+   
+   // convert data from UCS-2 to utf-8
+-#ifdef _WIN32
++#if defined(_WIN32) || defined(__FreeBSD__)
+   converted = iconv(_iconv, 
+                     (const char**)&inbuf, &inbuf_len,
+                     (char**)&outbuf, &outbuf_len);
+@@ -617,7 +617,7 @@
+       //log_debug3("Convert string with %i chars to buffer size %i\n", inbuf_len, outbuf_len);
+ 
+       // convert data from UCS-2 to utf-8
+-#ifdef _WIN32
++#if defined(_WIN32) || defined(__FreeBSD__)
+       converted = iconv(_iconv, 
+                         (const char**)&inbuf, &inbuf_len,
+                         (char**)&outbuf, &outbuf_len);      

Modified: head/databases/mysql-workbench52/pkg-descr
==============================================================================
--- head/databases/mysql-workbench52/pkg-descr	Thu Jul 11 15:15:30 2013	(r322770)
+++ head/databases/mysql-workbench52/pkg-descr	Thu Jul 11 15:17:38 2013	(r322771)
@@ -4,4 +4,4 @@ DBDesigner4 project.
 
 5.2 branch still in Alpha stage
 
-WWW: http://dev.mysql.com/workbench/
+WWW: http://www.mysql.com/products/workbench/

Modified: head/databases/mysql-workbench52/pkg-plist
==============================================================================
--- head/databases/mysql-workbench52/pkg-plist	Thu Jul 11 15:15:30 2013	(r322770)
+++ head/databases/mysql-workbench52/pkg-plist	Thu Jul 11 15:17:38 2013	(r322771)
@@ -1,128 +1,296 @@
-bin/grtshell
 bin/mysql-workbench
-bin/mysql-workbench-bin
-lib/mysql-workbench/libcdbc.a
+bin/wbcopytables
+lib/mysql-workbench/libantlr3c_wb.a
+lib/mysql-workbench/libantlr3c_wb.la
+lib/mysql-workbench/libantlr3c_wb.so
 lib/mysql-workbench/libcdbc.la
 lib/mysql-workbench/libcdbc.so
 lib/mysql-workbench/libcdbc.so.0
-lib/mysql-workbench/libctemplate_wb.a
-lib/mysql-workbench/libctemplate_wb.la
-lib/mysql-workbench/libctemplate_wb.so
-lib/mysql-workbench/libctemplate_wb.so.0
-lib/mysql-workbench/libgrt.a
 lib/mysql-workbench/libgrt.la
 lib/mysql-workbench/libgrt.so
 lib/mysql-workbench/libgrt.so.0
-lib/mysql-workbench/libguiutil.a
-lib/mysql-workbench/libguiutil.la
-lib/mysql-workbench/libguiutil.so
-lib/mysql-workbench/libguiutil.so.0
-lib/mysql-workbench/liblinux_utilities.a
 lib/mysql-workbench/liblinux_utilities.la
 lib/mysql-workbench/liblinux_utilities.so
 lib/mysql-workbench/liblinux_utilities.so.0
-lib/mysql-workbench/libmdcanvas.a
 lib/mysql-workbench/libmdcanvas.la
 lib/mysql-workbench/libmdcanvas.so
 lib/mysql-workbench/libmdcanvas.so.0
-lib/mysql-workbench/libmdcanvasgtk.a
 lib/mysql-workbench/libmdcanvasgtk.la
 lib/mysql-workbench/libmdcanvasgtk.so
 lib/mysql-workbench/libmdcanvasgtk.so.0
-lib/mysql-workbench/libmforms.a
 lib/mysql-workbench/libmforms.la
 lib/mysql-workbench/libmforms.so
 lib/mysql-workbench/libmforms.so.0
-lib/mysql-workbench/libsqlide.a
+lib/mysql-workbench/libmysqlparser.la
+lib/mysql-workbench/libmysqlparser.so
+lib/mysql-workbench/libmysqlparser.so.0
 lib/mysql-workbench/libsqlide.la
 lib/mysql-workbench/libsqlide.so
 lib/mysql-workbench/libsqlide.so.0
-lib/mysql-workbench/libsqlparser.a
 lib/mysql-workbench/libsqlparser.la
 lib/mysql-workbench/libsqlparser.so
 lib/mysql-workbench/libsqlparser.so.0
-lib/mysql-workbench/libvsqlitepp.a
 lib/mysql-workbench/libvsqlitepp.la
 lib/mysql-workbench/libvsqlitepp.so
 lib/mysql-workbench/libvsqlitepp.so.0
-lib/mysql-workbench/libwbpublic.a
+lib/mysql-workbench/libwbbase.la
+lib/mysql-workbench/libwbbase.so
+lib/mysql-workbench/libwbbase.so.0
 lib/mysql-workbench/libwbpublic.la
 lib/mysql-workbench/libwbpublic.so
 lib/mysql-workbench/libwbpublic.so.0
-lib/mysql-workbench/libwbscintilla.a
 lib/mysql-workbench/libwbscintilla.la
 lib/mysql-workbench/libwbscintilla.so
 lib/mysql-workbench/libwbscintilla.so.0
-lib/mysql-workbench/modules/db.mysql.grt.a
+lib/mysql-workbench/modules/DataMigrator.py
+lib/mysql-workbench/modules/DataMigrator.pyc
+lib/mysql-workbench/modules/HTMLGetData.py
+lib/mysql-workbench/modules/HTMLGetData.pyc
+lib/mysql-workbench/modules/HTMLLookup.py
+lib/mysql-workbench/modules/HTMLLookup.pyc
+lib/mysql-workbench/modules/MySQLGetRequestResult.py
+lib/mysql-workbench/modules/MySQLGetRequestResult.pyc
+lib/mysql-workbench/modules/SQLEXT.py
+lib/mysql-workbench/modules/SQLEXT.pyc
+lib/mysql-workbench/modules/_cairo.la
+lib/mysql-workbench/modules/_cairo.so
+lib/mysql-workbench/modules/_cairo.so.0
+lib/mysql-workbench/modules/_mforms.la
+lib/mysql-workbench/modules/_mforms.so
+lib/mysql-workbench/modules/_mforms.so.0
+lib/mysql-workbench/modules/cairo.py
+lib/mysql-workbench/modules/cairo.pyc
+lib/mysql-workbench/modules/cairo_utils.py
+lib/mysql-workbench/modules/cairo_utils.pyc
+lib/mysql-workbench/modules/catalog_utils.grt.lua
+lib/mysql-workbench/modules/code_utils_grt.py
+lib/mysql-workbench/modules/code_utils_grt.pyc
+lib/mysql-workbench/modules/datatype_mapping_editor.py
+lib/mysql-workbench/modules/datatype_mapping_editor.pyc
 lib/mysql-workbench/modules/db.mysql.grt.la
 lib/mysql-workbench/modules/db.mysql.grt.so
 lib/mysql-workbench/modules/db.mysql.grt.so.0
-lib/mysql-workbench/modules/db.mysql.sqlide.grt.a
+lib/mysql-workbench/modules/db.mysql.query.grt.la
+lib/mysql-workbench/modules/db.mysql.query.grt.so
+lib/mysql-workbench/modules/db.mysql.query.grt.so.0
 lib/mysql-workbench/modules/db.mysql.sqlide.grt.la
 lib/mysql-workbench/modules/db.mysql.sqlide.grt.so
 lib/mysql-workbench/modules/db.mysql.sqlide.grt.so.0
-lib/mysql-workbench/modules/db.mysql.sqlparser.grt.a
 lib/mysql-workbench/modules/db.mysql.sqlparser.grt.la
 lib/mysql-workbench/modules/db.mysql.sqlparser.grt.so
 lib/mysql-workbench/modules/db.mysql.sqlparser.grt.so.0
-lib/mysql-workbench/modules/dbutils.grt.a
+lib/mysql-workbench/modules/db_copy_grt.py
+lib/mysql-workbench/modules/db_copy_grt.pyc
+lib/mysql-workbench/modules/db_copy_main.py
+lib/mysql-workbench/modules/db_copy_main.pyc
+lib/mysql-workbench/modules/db_copy_overview.py
+lib/mysql-workbench/modules/db_copy_overview.pyc
+lib/mysql-workbench/modules/db_copy_progress.py
+lib/mysql-workbench/modules/db_copy_progress.pyc
+lib/mysql-workbench/modules/db_copy_report.py
+lib/mysql-workbench/modules/db_copy_report.pyc
+lib/mysql-workbench/modules/db_copy_schema_selection.py
+lib/mysql-workbench/modules/db_copy_schema_selection.pyc
+lib/mysql-workbench/modules/db_copy_source_target.py
+lib/mysql-workbench/modules/db_copy_source_target.pyc
+lib/mysql-workbench/modules/db_generic_migration_grt.py
+lib/mysql-workbench/modules/db_generic_migration_grt.pyc
+lib/mysql-workbench/modules/db_generic_re_grt.py
+lib/mysql-workbench/modules/db_generic_re_grt.pyc
+lib/mysql-workbench/modules/db_mssql_grt.py
+lib/mysql-workbench/modules/db_mssql_grt.pyc
+lib/mysql-workbench/modules/db_mssql_migration_grt.py
+lib/mysql-workbench/modules/db_mssql_migration_grt.pyc
+lib/mysql-workbench/modules/db_mysql_fe_grt.py
+lib/mysql-workbench/modules/db_mysql_fe_grt.pyc
+lib/mysql-workbench/modules/db_mysql_migration_grt.py
+lib/mysql-workbench/modules/db_mysql_migration_grt.pyc
+lib/mysql-workbench/modules/db_mysql_re_grt.py
+lib/mysql-workbench/modules/db_mysql_re_grt.pyc
+lib/mysql-workbench/modules/db_postgresql_migration_grt.py
+lib/mysql-workbench/modules/db_postgresql_migration_grt.pyc
+lib/mysql-workbench/modules/db_postgresql_re_grt.py
+lib/mysql-workbench/modules/db_postgresql_re_grt.pyc
+lib/mysql-workbench/modules/db_sql92_migration_grt.py
+lib/mysql-workbench/modules/db_sql92_migration_grt.pyc
+lib/mysql-workbench/modules/db_sql92_re_grt.py
+lib/mysql-workbench/modules/db_sql92_re_grt.pyc
+lib/mysql-workbench/modules/db_sybase_migration_grt.py
+lib/mysql-workbench/modules/db_sybase_migration_grt.pyc
+lib/mysql-workbench/modules/db_sybase_re_grt.py
+lib/mysql-workbench/modules/db_sybase_re_grt.pyc
 lib/mysql-workbench/modules/dbutils.grt.la
 lib/mysql-workbench/modules/dbutils.grt.so
 lib/mysql-workbench/modules/dbutils.grt.so.0
-lib/mysql-workbench/modules/forms.grt.a
+lib/mysql-workbench/modules/explain_renderer.py
+lib/mysql-workbench/modules/explain_renderer.pyc
 lib/mysql-workbench/modules/forms.grt.la
 lib/mysql-workbench/modules/forms.grt.so
 lib/mysql-workbench/modules/forms.grt.so.0
-lib/mysql-workbench/modules/wb.model.grt.a
+lib/mysql-workbench/modules/mforms.py
+lib/mysql-workbench/modules/mforms.pyc
+lib/mysql-workbench/modules/migration.py
+lib/mysql-workbench/modules/migration.pyc
+lib/mysql-workbench/modules/migration_data_transfer.py
+lib/mysql-workbench/modules/migration_data_transfer.pyc
+lib/mysql-workbench/modules/migration_grt.py
+lib/mysql-workbench/modules/migration_grt.pyc
+lib/mysql-workbench/modules/migration_main.py
+lib/mysql-workbench/modules/migration_main.pyc
+lib/mysql-workbench/modules/migration_object_editing.py
+lib/mysql-workbench/modules/migration_object_editing.pyc
+lib/mysql-workbench/modules/migration_object_migration.py
+lib/mysql-workbench/modules/migration_object_migration.pyc
+lib/mysql-workbench/modules/migration_object_selection.py
+lib/mysql-workbench/modules/migration_object_selection.pyc
+lib/mysql-workbench/modules/migration_overview.py
+lib/mysql-workbench/modules/migration_overview.pyc
+lib/mysql-workbench/modules/migration_project_management.py
+lib/mysql-workbench/modules/migration_project_management.pyc
+lib/mysql-workbench/modules/migration_schema_creation.py
+lib/mysql-workbench/modules/migration_schema_creation.pyc
+lib/mysql-workbench/modules/migration_schema_selection.py
+lib/mysql-workbench/modules/migration_schema_selection.pyc
+lib/mysql-workbench/modules/migration_source_selection.py
+lib/mysql-workbench/modules/migration_source_selection.pyc
+lib/mysql-workbench/modules/migration_summary.py
+lib/mysql-workbench/modules/migration_summary.pyc
+lib/mysql-workbench/modules/migration_toolbars.py
+lib/mysql-workbench/modules/migration_toolbars.pyc
+lib/mysql-workbench/modules/migration_ui_style.py
+lib/mysql-workbench/modules/migration_ui_style.pyc
+lib/mysql-workbench/modules/mysqldoclib.py
+lib/mysql-workbench/modules/mysqldoclib.pyc
+lib/mysql-workbench/modules/optimizer_trace_renderer.py
+lib/mysql-workbench/modules/optimizer_trace_renderer.pyc
+lib/mysql-workbench/modules/opts.py
+lib/mysql-workbench/modules/opts.pyc
+lib/mysql-workbench/modules/performance_charting.py
+lib/mysql-workbench/modules/performance_charting.pyc
+lib/mysql-workbench/modules/sql_reformatter.py
+lib/mysql-workbench/modules/sql_reformatter.pyc
+lib/mysql-workbench/modules/sqlide_grt.py
+lib/mysql-workbench/modules/sqlide_grt.pyc
+lib/mysql-workbench/modules/table_utils_grt.py
+lib/mysql-workbench/modules/table_utils_grt.pyc
+lib/mysql-workbench/modules/text_grt.py
+lib/mysql-workbench/modules/text_grt.pyc
+lib/mysql-workbench/modules/text_output.py
+lib/mysql-workbench/modules/text_output.pyc
 lib/mysql-workbench/modules/wb.model.grt.la
 lib/mysql-workbench/modules/wb.model.grt.so
 lib/mysql-workbench/modules/wb.model.grt.so.0
-lib/mysql-workbench/modules/wb.mysql.import.grt.a
 lib/mysql-workbench/modules/wb.mysql.import.grt.la
 lib/mysql-workbench/modules/wb.mysql.import.grt.so
 lib/mysql-workbench/modules/wb.mysql.import.grt.so.0
-lib/mysql-workbench/modules/wb.mysql.validation.grt.a
-lib/mysql-workbench/modules/wb.mysql.validation.grt.la
-lib/mysql-workbench/modules/wb.mysql.validation.grt.so
-lib/mysql-workbench/modules/wb.mysql.validation.grt.so.0
-lib/mysql-workbench/modules/wb.validation.grt.a
-lib/mysql-workbench/modules/wb.validation.grt.la
-lib/mysql-workbench/modules/wb.validation.grt.so
-lib/mysql-workbench/modules/wb.validation.grt.so.0
-lib/mysql-workbench/mysqlcppconn.a
+lib/mysql-workbench/modules/wb_admin_config_file_be.py
+lib/mysql-workbench/modules/wb_admin_config_file_be.pyc
+lib/mysql-workbench/modules/wb_admin_config_file_ui.py
+lib/mysql-workbench/modules/wb_admin_config_file_ui.pyc
+lib/mysql-workbench/modules/wb_admin_configuration_startup.py
+lib/mysql-workbench/modules/wb_admin_configuration_startup.pyc
+lib/mysql-workbench/modules/wb_admin_connections.py
+lib/mysql-workbench/modules/wb_admin_connections.pyc
+lib/mysql-workbench/modules/wb_admin_control.py
+lib/mysql-workbench/modules/wb_admin_control.pyc
+lib/mysql-workbench/modules/wb_admin_export.py
+lib/mysql-workbench/modules/wb_admin_export.pyc
+lib/mysql-workbench/modules/wb_admin_export_options.py
+lib/mysql-workbench/modules/wb_admin_export_options.pyc
+lib/mysql-workbench/modules/wb_admin_grt.py
+lib/mysql-workbench/modules/wb_admin_grt.pyc
+lib/mysql-workbench/modules/wb_admin_logs.py
+lib/mysql-workbench/modules/wb_admin_logs.pyc
+lib/mysql-workbench/modules/wb_admin_main.py
+lib/mysql-workbench/modules/wb_admin_main.pyc
+lib/mysql-workbench/modules/wb_admin_monitor.py
+lib/mysql-workbench/modules/wb_admin_monitor.pyc
+lib/mysql-workbench/modules/wb_admin_sched.py
+lib/mysql-workbench/modules/wb_admin_sched.pyc
+lib/mysql-workbench/modules/wb_admin_security.py
+lib/mysql-workbench/modules/wb_admin_security.pyc
+lib/mysql-workbench/modules/wb_admin_security_be.py
+lib/mysql-workbench/modules/wb_admin_security_be.pyc
+lib/mysql-workbench/modules/wb_admin_ssh.py
+lib/mysql-workbench/modules/wb_admin_ssh.pyc
+lib/mysql-workbench/modules/wb_admin_ui_profile.py
+lib/mysql-workbench/modules/wb_admin_ui_profile.pyc
+lib/mysql-workbench/modules/wb_admin_utils.py
+lib/mysql-workbench/modules/wb_admin_utils.pyc
+lib/mysql-workbench/modules/wb_admin_variable_list.py
+lib/mysql-workbench/modules/wb_admin_variable_list.pyc
+lib/mysql-workbench/modules/wb_admin_variables.py
+lib/mysql-workbench/modules/wb_admin_variables.pyc
+lib/mysql-workbench/modules/wb_bug_report_grt.py
+lib/mysql-workbench/modules/wb_bug_report_grt.pyc
+lib/mysql-workbench/modules/wb_common.py
+lib/mysql-workbench/modules/wb_common.pyc
+lib/mysql-workbench/modules/wb_dev_utils_grt.py
+lib/mysql-workbench/modules/wb_dev_utils_grt.pyc
+lib/mysql-workbench/modules/wb_doclib_grt.py
+lib/mysql-workbench/modules/wb_doclib_grt.pyc
+lib/mysql-workbench/modules/wb_execute_window.py
+lib/mysql-workbench/modules/wb_execute_window.pyc
+lib/mysql-workbench/modules/wb_log_reader.py
+lib/mysql-workbench/modules/wb_log_reader.pyc
+lib/mysql-workbench/modules/wb_query_analysis_grt.py
+lib/mysql-workbench/modules/wb_query_analysis_grt.pyc
+lib/mysql-workbench/modules/wb_server_control.py
+lib/mysql-workbench/modules/wb_server_control.pyc
+lib/mysql-workbench/modules/wb_server_management.py
+lib/mysql-workbench/modules/wb_server_management.pyc
+lib/mysql-workbench/modules/wb_utils_grt.py
+lib/mysql-workbench/modules/wb_utils_grt.pyc
+lib/mysql-workbench/modules/wb_variables.py
+lib/mysql-workbench/modules/wb_variables.pyc
+lib/mysql-workbench/modules/wba_monitor_be.py
+lib/mysql-workbench/modules/wba_monitor_be.pyc
+lib/mysql-workbench/modules/wba_ssh_ui.py
+lib/mysql-workbench/modules/wba_ssh_ui.pyc
 lib/mysql-workbench/mysqlcppconn.la
 lib/mysql-workbench/mysqlcppconn.so
 lib/mysql-workbench/mysqlcppconn.so.0
-lib/mysql-workbench/plugins/db.checks.wbp.a
 lib/mysql-workbench/plugins/db.checks.wbp.la
 lib/mysql-workbench/plugins/db.checks.wbp.so
 lib/mysql-workbench/plugins/db.checks.wbp.so.0
-lib/mysql-workbench/plugins/db.mysql.diff.reporting.wbp.a
 lib/mysql-workbench/plugins/db.mysql.diff.reporting.wbp.la
 lib/mysql-workbench/plugins/db.mysql.diff.reporting.wbp.so
 lib/mysql-workbench/plugins/db.mysql.diff.reporting.wbp.so.0
-lib/mysql-workbench/plugins/db.mysql.editors.wbp.a
 lib/mysql-workbench/plugins/db.mysql.editors.wbp.la
 lib/mysql-workbench/plugins/db.mysql.editors.wbp.so
 lib/mysql-workbench/plugins/db.mysql.editors.wbp.so.0
-lib/mysql-workbench/plugins/db.mysql.wbp.a
 lib/mysql-workbench/plugins/db.mysql.wbp.la
 lib/mysql-workbench/plugins/db.mysql.wbp.so
 lib/mysql-workbench/plugins/db.mysql.wbp.so.0
-lib/mysql-workbench/plugins/wb.model.editors.wbp.a
 lib/mysql-workbench/plugins/wb.model.editors.wbp.la
 lib/mysql-workbench/plugins/wb.model.editors.wbp.so
 lib/mysql-workbench/plugins/wb.model.editors.wbp.so.0
-lib/mysql-workbench/plugins/wb.printing.wbp.a
+lib/mysql-workbench/plugins/wb.model.snippets.wbp.la
+lib/mysql-workbench/plugins/wb.model.snippets.wbp.so
+lib/mysql-workbench/plugins/wb.model.snippets.wbp.so.0
 lib/mysql-workbench/plugins/wb.printing.wbp.la
 lib/mysql-workbench/plugins/wb.printing.wbp.so
 lib/mysql-workbench/plugins/wb.printing.wbp.so.0
+libexec/mysql-workbench-bin
 share/applications/MySQLWorkbench.desktop
+share/icons/hicolor/128x128/apps/mysql-workbench.png
+share/icons/hicolor/128x128/mimetypes/application-vnd.mysql-workbench-model.png
+share/icons/hicolor/128x128/mimetypes/application-vnd.mysql-workbench-plugin.png
+share/icons/hicolor/16x16/apps/mysql-workbench.png
+share/icons/hicolor/16x16/mimetypes/application-vnd.mysql-workbench-model.png
+share/icons/hicolor/16x16/mimetypes/application-vnd.mysql-workbench-plugin.png
+share/icons/hicolor/48x48/apps/mysql-workbench.png
+share/icons/hicolor/48x48/mimetypes/application-vnd.mysql-workbench-model.png
+share/icons/hicolor/48x48/mimetypes/application-vnd.mysql-workbench-plugin.png
+share/mime/packages/mysql-workbench.xml
+share/mime-info/mysql-workbench.mime
+share/mysql-workbench/data/code_editor.xml
 share/mysql-workbench/data/data.db
 share/mysql-workbench/data/db_datatype_groups.xml
 share/mysql-workbench/data/dbquery_toolbar.xml
 share/mysql-workbench/data/default_toolbar.xml
 share/mysql-workbench/data/main_menu.xml
+share/mysql-workbench/data/model_diagram_toolbar.xml
 share/mysql-workbench/data/model_option_toolbar_layer.xml
 share/mysql-workbench/data/model_option_toolbar_note.xml
 share/mysql-workbench/data/model_option_toolbar_physical_relationship.xml
@@ -132,17 +300,21 @@ share/mysql-workbench/data/model_option_
 share/mysql-workbench/data/model_option_toolbar_selection.xml
 share/mysql-workbench/data/model_toolbar.xml
 share/mysql-workbench/data/paper_types.xml
+share/mysql-workbench/data/predefined_starters.xml
 share/mysql-workbench/data/shortcuts.xml
 share/mysql-workbench/data/shortcuts_basic.xml
 share/mysql-workbench/data/shortcuts_physical.xml
 share/mysql-workbench/data/tools_toolbar.xml
 share/mysql-workbench/data/tools_toolbar_basic.xml
 share/mysql-workbench/data/tools_toolbar_physical.xml
-share/mysql-workbench/db_sql_editor_view.glade
+share/mysql-workbench/db_mysql_catalog_reporting/Basic_Text.tpl/basic_text_report.txt.tpl
 share/mysql-workbench/diagram_size_form.glade
+share/mysql-workbench/diagram_view.glade
+share/mysql-workbench/embedded_find.glade
+share/mysql-workbench/extras/build_freetds.sh
+share/mysql-workbench/extras/sakila_full.mwb
 share/mysql-workbench/find.glade
 share/mysql-workbench/grt/structs.app.xml
-share/mysql-workbench/grt/structs.db.maxdb.xml
 share/mysql-workbench/grt/structs.db.mgmt.xml
 share/mysql-workbench/grt/structs.db.migration.xml
 share/mysql-workbench/grt/structs.db.mssql.xml
@@ -154,15 +326,16 @@ share/mysql-workbench/grt/structs.db.xml
 share/mysql-workbench/grt/structs.eer.xml
 share/mysql-workbench/grt/structs.meta.xml
 share/mysql-workbench/grt/structs.model.xml
+share/mysql-workbench/grt/structs.ui.xml
 share/mysql-workbench/grt/structs.workbench.logical.xml
 share/mysql-workbench/grt/structs.workbench.model.reporting.xml
 share/mysql-workbench/grt/structs.workbench.model.xml
 share/mysql-workbench/grt/structs.workbench.physical.xml
 share/mysql-workbench/grt/structs.workbench.xml
 share/mysql-workbench/grt/structs.xml
-share/mysql-workbench/grt_sidebar.glade
 share/mysql-workbench/images/Apply.png
 share/mysql-workbench/images/Apply_16x16.png
+share/mysql-workbench/images/BackupBackground.png
 share/mysql-workbench/images/Close_18x18.png
 share/mysql-workbench/images/Discard.png
 share/mysql-workbench/images/Discard_16x16.png
@@ -170,6 +343,8 @@ share/mysql-workbench/images/DotBlue.png
 share/mysql-workbench/images/DotDisabled.png
 share/mysql-workbench/images/DotGrey.png
 share/mysql-workbench/images/DotRed.png
+share/mysql-workbench/images/EditorCollapsed.png
+share/mysql-workbench/images/EditorExpanded.png
 share/mysql-workbench/images/First_16x16.png
 share/mysql-workbench/images/GrtObject.16x16.png
 share/mysql-workbench/images/GrtObject.24x24.png
@@ -183,37 +358,104 @@ share/mysql-workbench/images/GrtObject.m
 share/mysql-workbench/images/GrtStoredNote.48x48.png
 share/mysql-workbench/images/GrtStoredNote.add.48x48.png
 share/mysql-workbench/images/Last_16x16.png
+share/mysql-workbench/images/MacWizardBackground.png
 share/mysql-workbench/images/MySQLWorkbench-128.png
 share/mysql-workbench/images/MySQLWorkbench-16.png
 share/mysql-workbench/images/MySQLWorkbench-24.png
 share/mysql-workbench/images/MySQLWorkbench-32.png
 share/mysql-workbench/images/MySQLWorkbench-48.png
 share/mysql-workbench/images/MySQLWorkbench-64.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-128.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-16.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-24.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-32.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-48.png
-share/mysql-workbench/images/MySQLWorkbenchDoc-64.png
-share/mysql-workbench/images/PinDown_18x18.png
-share/mysql-workbench/images/Pin_18x18.png
 share/mysql-workbench/images/Refresh_16x16.png
-share/mysql-workbench/images/alert_thin.png
+share/mysql-workbench/images/Refresh_18x18.png
+share/mysql-workbench/images/Refresh_disabled_18x18.png
+share/mysql-workbench/images/WB_Home.png
+share/mysql-workbench/images/action_add_schema_objects.png
+share/mysql-workbench/images/action_admin.png
+share/mysql-workbench/images/action_button_left.png
+share/mysql-workbench/images/action_button_middle.png
+share/mysql-workbench/images/action_button_right.png
+share/mysql-workbench/images/action_edit_sql_script.png
+share/mysql-workbench/images/action_edit_table_data.png
+share/mysql-workbench/images/action_eer_open.png
+share/mysql-workbench/images/action_eer_rev_eng_db.png
+share/mysql-workbench/images/action_eer_rev_eng_file.png
+share/mysql-workbench/images/action_import_export.png
+share/mysql-workbench/images/action_manage_connection.png
+share/mysql-workbench/images/action_manage_servers.png
+share/mysql-workbench/images/action_new_connection.png
+share/mysql-workbench/images/action_new_eer.png
+share/mysql-workbench/images/action_new_server.png
+share/mysql-workbench/images/action_query.png
+share/mysql-workbench/images/action_security.png
+share/mysql-workbench/images/admin_add_user.png
+share/mysql-workbench/images/admin_add_user_win.png
+share/mysql-workbench/images/admin_config_wizard.png
+share/mysql-workbench/images/admin_config_wizard_win.png
+share/mysql-workbench/images/admin_export.png
+share/mysql-workbench/images/admin_export_win.png
+share/mysql-workbench/images/admin_info_running.png
+share/mysql-workbench/images/admin_info_stopped.png
+share/mysql-workbench/images/admin_info_unknown.png
+share/mysql-workbench/images/admin_manage_exported.png
+share/mysql-workbench/images/admin_manage_exported_win.png
+share/mysql-workbench/images/admin_manage_privs.png
+share/mysql-workbench/images/admin_manage_privs_win.png
+share/mysql-workbench/images/admin_manage_users.png
+share/mysql-workbench/images/admin_manage_users_win.png
+share/mysql-workbench/images/admin_meb_backup_win.png
+share/mysql-workbench/images/admin_meb_restore_win.png
+share/mysql-workbench/images/admin_option_file.png
+share/mysql-workbench/images/admin_option_file_win.png
+share/mysql-workbench/images/admin_restore_data.png
+share/mysql-workbench/images/admin_restore_data_win.png
+share/mysql-workbench/images/admin_schema_management.png
+share/mysql-workbench/images/admin_schema_management_win.png
+share/mysql-workbench/images/admin_scripts.png
+share/mysql-workbench/images/admin_scripts_win.png
+share/mysql-workbench/images/admin_server_logs.png
+share/mysql-workbench/images/admin_server_logs_win.png
+share/mysql-workbench/images/admin_server_status.png
+share/mysql-workbench/images/admin_server_status_win.png
+share/mysql-workbench/images/admin_start.png
+share/mysql-workbench/images/admin_start_disabled.png
+share/mysql-workbench/images/admin_start_stop.png
+share/mysql-workbench/images/admin_start_stop_win.png
+share/mysql-workbench/images/admin_status_vars.png
+share/mysql-workbench/images/admin_status_vars_win.png
+share/mysql-workbench/images/admin_system_startup.png
+share/mysql-workbench/images/admin_system_startup_win.png
+share/mysql-workbench/images/auto-completion-column.png
+share/mysql-workbench/images/auto-completion-function.png
+share/mysql-workbench/images/auto-completion-keyword.png
+share/mysql-workbench/images/auto-completion-operator.png
+share/mysql-workbench/images/auto-completion-routine.png
+share/mysql-workbench/images/auto-completion-schema.png
+share/mysql-workbench/images/auto-completion-table.png
+share/mysql-workbench/images/auto-completion-view.png
 share/mysql-workbench/images/background.png
 share/mysql-workbench/images/background_top_shadow.png
+share/mysql-workbench/images/busy_sidebar.png
+share/mysql-workbench/images/button_edit_icon.png
+share/mysql-workbench/images/change_alert_thin.png
 share/mysql-workbench/images/change_backward.png
 share/mysql-workbench/images/change_forward.png
 share/mysql-workbench/images/change_ignore.png
 share/mysql-workbench/images/change_nothing.png
+share/mysql-workbench/images/clear_output.png
 share/mysql-workbench/images/collapsing_panel_bg.png
 share/mysql-workbench/images/collapsing_panel_grid_bg.png
+share/mysql-workbench/images/collapsing_panel_grid_details.png
 share/mysql-workbench/images/collapsing_panel_grid_details2.png
+share/mysql-workbench/images/collapsing_panel_grid_large_icons.png
 share/mysql-workbench/images/collapsing_panel_grid_large_icons2.png
+share/mysql-workbench/images/collapsing_panel_grid_small_icons.png
 share/mysql-workbench/images/collapsing_panel_grid_small_icons2.png
 share/mysql-workbench/images/collapsing_panel_header_bg.png
 share/mysql-workbench/images/collapsing_panel_header_bg_flat.png
 share/mysql-workbench/images/collapsing_panel_header_shadow.png
+share/mysql-workbench/images/collapsing_panel_header_tab_add.png
 share/mysql-workbench/images/collapsing_panel_header_tab_add2.png
+share/mysql-workbench/images/collapsing_panel_header_tab_del.png
 share/mysql-workbench/images/collapsing_panel_header_tab_del2.png
 share/mysql-workbench/images/collapsing_panel_header_tab_left.png
 share/mysql-workbench/images/collapsing_panel_header_tab_left_flat.png
@@ -235,18 +477,30 @@ share/mysql-workbench/images/db.Column.1
 share/mysql-workbench/images/db.Column.16x16.png
 share/mysql-workbench/images/db.Column.fk.11x11.png
 share/mysql-workbench/images/db.Column.fk.16x16.png
+share/mysql-workbench/images/db.Column.fk.side.16x16.png
 share/mysql-workbench/images/db.Column.fknn.11x11.png
 share/mysql-workbench/images/db.Column.fknn.16x16.png
+share/mysql-workbench/images/db.Column.many.side.16x16.png
 share/mysql-workbench/images/db.Column.nn.11x11.png
 share/mysql-workbench/images/db.Column.nn.16x16.png
 share/mysql-workbench/images/db.Column.pk.11x11.png
 share/mysql-workbench/images/db.Column.pk.16x16.png
+share/mysql-workbench/images/db.Column.pk.side.16x16.png
+share/mysql-workbench/images/db.Column.pkai.11x11.png
+share/mysql-workbench/images/db.Column.pkai.16x16.png
+share/mysql-workbench/images/db.Column.side.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.blob.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.datetime.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.geo.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.numeric.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.text.16x16.png
 share/mysql-workbench/images/db.DatatypeGroup.userdefined.16x16.png
+share/mysql-workbench/images/db.ForeignKey.16x16.png
+share/mysql-workbench/images/db.ForeignKey.many.side.16x16.png
+share/mysql-workbench/images/db.ForeignKey.side.16x16.png
+share/mysql-workbench/images/db.Index.16x16.png
+share/mysql-workbench/images/db.Index.many.side.16x16.png
+share/mysql-workbench/images/db.Index.side.16x16.png
 share/mysql-workbench/images/db.Role.16x16.png
 share/mysql-workbench/images/db.Role.48x48.png
 share/mysql-workbench/images/db.Role.add.16x16.png
@@ -259,7 +513,10 @@ share/mysql-workbench/images/db.Routine.
 share/mysql-workbench/images/db.Routine.add.16x16.png
 share/mysql-workbench/images/db.Routine.add.48x48.png
 share/mysql-workbench/images/db.Routine.editor.48x48.png
+share/mysql-workbench/images/db.Routine.many.16x16.png
 share/mysql-workbench/images/db.Routine.many.32x32.png
+share/mysql-workbench/images/db.Routine.many.side.16x16.png
+share/mysql-workbench/images/db.Routine.side.16x16.png
 share/mysql-workbench/images/db.RoutineGroup.16x16.png
 share/mysql-workbench/images/db.RoutineGroup.48x48.png
 share/mysql-workbench/images/db.RoutineGroup.add.16x16.png
@@ -269,8 +526,12 @@ share/mysql-workbench/images/db.Schema.2
 share/mysql-workbench/images/db.Schema.32x32.png
 share/mysql-workbench/images/db.Schema.add.32x32.png
 share/mysql-workbench/images/db.Schema.editor.48x48.png
+share/mysql-workbench/images/db.Schema.loading.side.16x16.png
 share/mysql-workbench/images/db.Schema.many.16x16.png
 share/mysql-workbench/images/db.Schema.many.32x32.png
+share/mysql-workbench/images/db.Schema.selected.32x32.png
+share/mysql-workbench/images/db.Schema.side.16x16.png
+share/mysql-workbench/images/db.Schema.unloaded.side.16x16.png
 share/mysql-workbench/images/db.Script.48x48.png
 share/mysql-workbench/images/db.Script.add.48x48.png
 share/mysql-workbench/images/db.Table.16x16.png
@@ -278,8 +539,15 @@ share/mysql-workbench/images/db.Table.24
 share/mysql-workbench/images/db.Table.48x48.png
 share/mysql-workbench/images/db.Table.add.16x16.png
 share/mysql-workbench/images/db.Table.add.48x48.png
+share/mysql-workbench/images/db.Table.editor.24x24.png
 share/mysql-workbench/images/db.Table.editor.48x48.png
+share/mysql-workbench/images/db.Table.many.16x16.png
 share/mysql-workbench/images/db.Table.many.32x32.png
+share/mysql-workbench/images/db.Table.many.side.16x16.png
+share/mysql-workbench/images/db.Table.side.16x16.png
+share/mysql-workbench/images/db.Trigger.16x16.png
+share/mysql-workbench/images/db.Trigger.many.side.16x16.png
+share/mysql-workbench/images/db.Trigger.side.16x16.png
 share/mysql-workbench/images/db.User.16x16.png
 share/mysql-workbench/images/db.User.48x48.png
 share/mysql-workbench/images/db.User.add.16x16.png
@@ -291,17 +559,37 @@ share/mysql-workbench/images/db.View.48x
 share/mysql-workbench/images/db.View.64x64.png
 share/mysql-workbench/images/db.View.add.16x16.png
 share/mysql-workbench/images/db.View.add.48x48.png
+share/mysql-workbench/images/db.View.broken.side.16x16.png
 share/mysql-workbench/images/db.View.editor.48x48.png
+share/mysql-workbench/images/db.View.many.16x16.png
 share/mysql-workbench/images/db.View.many.32x32.png
+share/mysql-workbench/images/db.View.many.side.16x16.png
+share/mysql-workbench/images/db.View.side.16x16.png
 share/mysql-workbench/images/db.mgmt.Connection.16x16.png
 share/mysql-workbench/images/db.mgmt.Connection.32x32.png
 share/mysql-workbench/images/db.mgmt.Connection.48x48.png
 share/mysql-workbench/images/db.mgmt.Connection.add.16x16.png
 share/mysql-workbench/images/db.mgmt.Connection.add.48x48.png
 share/mysql-workbench/images/db.mgmt.Connection.manage.48x48.png
+share/mysql-workbench/images/db.mgmt.ServerInstance.48x48.png
+share/mysql-workbench/images/db.mgmt.ServerInstance.manage.48x48.png
+share/mysql-workbench/images/db_connection_34x34.png
+share/mysql-workbench/images/db_connection_warning.png
+share/mysql-workbench/images/db_model_34x34.png
+share/mysql-workbench/images/db_model_warning.png
+share/mysql-workbench/images/db_server_34x34.png
+share/mysql-workbench/images/debug_continue.png
+share/mysql-workbench/images/debug_pause.png
+share/mysql-workbench/images/debug_step.png
+share/mysql-workbench/images/debug_step_into.png
+share/mysql-workbench/images/debug_step_out.png
+share/mysql-workbench/images/debug_stop.png
 share/mysql-workbench/images/dialog_input.png
-share/mysql-workbench/images/execute_script.png
-share/mysql-workbench/images/execute_selection.png
+share/mysql-workbench/images/editor_breakpoint.xpm
+share/mysql-workbench/images/editor_breakpoint_hit.xpm
+share/mysql-workbench/images/editor_current_pos.xpm
+share/mysql-workbench/images/editor_error.xpm
+share/mysql-workbench/images/editor_statement.xpm
 share/mysql-workbench/images/field_overlay_blob.png
 share/mysql-workbench/images/field_overlay_null.png
 share/mysql-workbench/images/grt.png
@@ -317,27 +605,100 @@ share/mysql-workbench/images/header_bar_
 share/mysql-workbench/images/header_bar_gray.png
 share/mysql-workbench/images/header_bar_orange.png
 share/mysql-workbench/images/history.png
+share/mysql-workbench/images/home_header_admin.png
+share/mysql-workbench/images/home_header_eer.png
+share/mysql-workbench/images/home_header_sql.png
 share/mysql-workbench/images/image.cur
 share/mysql-workbench/images/layer.cur
-share/mysql-workbench/images/layer_mixed.png
-share/mysql-workbench/images/layer_selected.png
-share/mysql-workbench/images/layer_unselected.png
 share/mysql-workbench/images/layers.png
+share/mysql-workbench/images/list_group_closed.png
+share/mysql-workbench/images/list_group_open.png
 share/mysql-workbench/images/magnify_region.cur
 share/mysql-workbench/images/menu_se.png
 share/mysql-workbench/images/message_confirm.png
 share/mysql-workbench/images/message_edit.png
 share/mysql-workbench/images/message_error.png
 share/mysql-workbench/images/message_warning.png
+share/mysql-workbench/images/message_wb_bug.png
+share/mysql-workbench/images/message_wb_lock.png
+share/mysql-workbench/images/message_wb_wait.png
+share/mysql-workbench/images/migration.png
+share/mysql-workbench/images/migration_background.png
+share/mysql-workbench/images/migration_check_current_win.png
+share/mysql-workbench/images/migration_check_done_win.png
+share/mysql-workbench/images/migration_check_open_win.png
+share/mysql-workbench/images/migration_check_point_win.png
+share/mysql-workbench/images/migration_icon_32x32.png
+share/mysql-workbench/images/migration_logo.png
+share/mysql-workbench/images/migration_title.png
+share/mysql-workbench/images/migration_win.png
+share/mysql-workbench/images/mini_edit.png
 share/mysql-workbench/images/mini_error.png
 share/mysql-workbench/images/mini_notice.png
+share/mysql-workbench/images/mini_ok.png
 share/mysql-workbench/images/mini_warning.png
 share/mysql-workbench/images/navigator_zoom_in.png
 share/mysql-workbench/images/navigator_zoom_out.png
 share/mysql-workbench/images/news_arrow.png
 share/mysql-workbench/images/note.128x128.png
 share/mysql-workbench/images/note.cur
+share/mysql-workbench/images/options-horizontal-separator.png
 share/mysql-workbench/images/properties.png
+share/mysql-workbench/images/qe_main-tb-icon_add-routine.png
+share/mysql-workbench/images/qe_main-tb-icon_add-schema.png
+share/mysql-workbench/images/qe_main-tb-icon_add-sql-editor.png
+share/mysql-workbench/images/qe_main-tb-icon_add-table.png
+share/mysql-workbench/images/qe_main-tb-icon_add-view.png
+share/mysql-workbench/images/qe_main-tb-icon_execute-sql-file.png
+share/mysql-workbench/images/qe_main-tb-icon_open-sql-file.png
+share/mysql-workbench/images/qe_main-tb-icon_refresh-conn.png
+share/mysql-workbench/images/qe_main-tb-sep.png
+share/mysql-workbench/images/qe_resultset-tb-switcher_form_off.png
+share/mysql-workbench/images/qe_resultset-tb-switcher_form_on.png
+share/mysql-workbench/images/qe_resultset-tb-switcher_grid_off.png

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"